org.apache.jmeter.report.processor

## Class TaggerConsumer<TIndex>

- java.lang.Object
- - org.apache.jmeter.report.processor.AbstractSampleProcessor
  - - org.apache.jmeter.report.processor.AbstractSampleConsumer
    - - org.apache.jmeter.report.processor.TaggerConsumer<TIndex>

Type Parameters:
  `TIndex` - the generic type

All Implemented Interfaces:
  SampleConsumer, SampleProcessor, SampleProducer

    public class TaggerConsumer<TIndex>
    extends AbstractSampleConsumer

The Class TimeCountConsumer adds a data field to the samples it consumes. The new field is identified by the value of tagLabel in the sample metadata.

Since:
  3.0

### Field Summary

Fields
`static String` `DEFAULT_TAG_LABEL`

### Constructor Summary

Constructors
Constructor and Description
`TaggerConsumer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consume(Sample sample, int channel)` Consumes the specified sample ton the specified channel.
`SampleIndexer<TIndex>` `getSampleIndexer()`
`String` `getTagLabel()` Gets the label of the tag used by this consumer.
`void` `setSampleIndexer(SampleIndexer<TIndex> sampleIndexer)`
`void` `setTagLabel(String tagLabel)`
`void` `startConsuming()` Start the sample consuming.
`void` `stopConsuming()` Stops the consuming process.

### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleConsumer

`addSampleConsumer, getConsumedChannelCount, getConsumedMetadata, getConsumer, getDataFromContext, getName, getWorkingDirectory, produce, removeSampleConsumer, setChannelAttribute, setConsumedMetadata, setDataToContext, setName, setProducedMetadata, setSampleConsumer, setSampleConsumers, setSampleContext, startProducing, stopProducing`

### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleProcessor

`getChannelAttribute, getSampleContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.report.processor.SampleProcessor

`getChannelAttribute, getSampleContext`

### Field Detail

#### DEFAULT_TAG_LABEL

    public static final String DEFAULT_TAG_LABEL

See Also:
  Constant Field Values

### Constructor Detail

#### TaggerConsumer

    public TaggerConsumer()

### Method Detail

#### getTagLabel

    public final String getTagLabel()

Gets the label of the tag used by this consumer.

Returns:
  the label of the tag used by this consumer.

#### setTagLabel

    public final void setTagLabel(String tagLabel)

#### getSampleIndexer

    public final SampleIndexer<TIndex> getSampleIndexer()

#### setSampleIndexer

    public final void setSampleIndexer(SampleIndexer<TIndex> sampleIndexer)

#### startConsuming

    public void startConsuming()

Description copied from interface: `SampleConsumer`
Start the sample consuming. This step is used by consumer to initialize their process.

#### consume

    public void consume(Sample sample,
                        int channel)

Description copied from interface: `SampleConsumer`
Consumes the specified sample ton the specified channel.

Parameters:
  `sample` - The sample to be consumed
  `channel` - The channel on which the sample is consumed

#### stopConsuming

    public void stopConsuming()

Description copied from interface: `SampleConsumer`
Stops the consuming process. No sample will be processed after this service has been called.